/**
 * Your Amazing Plugin sets the variable actPlugin with type ActPlugin. Checkout the docs to see the functionality
 * available through that API.
 */
let context = null;

const actions = {
  /**
   * Define plugin actions here that will be called by function name
   */
  isDirectionsDisabled: () => {
    if (!context || !context.businessAddress || !context.businessAddress.line1) {
      return true;
    }

    return false;
  },
  onMapsClick: () => {
    if (!context || !context.businessAddress || !context.businessAddress.line1) {
      return;
    }

    const {
      line1,
      city,
      state,
      postalCode,
    } = context.businessAddress;
    const address = encodeURIComponent(`${line1} ${city}, ${state} ${postalCode}`);

    // Open Google Maps in the browser with the current contact's address
    actPlugin.openUrl(`https://www.google.com/maps/search/${address}`);
  },
};

actPlugin.context.subscribe((c) => {
  context = c;
});
actPlugin.setActions(actions);